2018-10-16 16:54 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000083mercuryBugpublic2009-04-06 02:49
Reporterwangp 
Assigned Tojuliensf 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000083: ambiguous names in foreign_export
DescriptionThe compiler does the wrong thing if the predicate in a foreign_export is
ambiguous. e.g. for the attached test case

% mmc -C fe
fe.m:018: Error: `:- pragma foreign_export' declaration for `make_io_error'/2
fe.m:018: without corresponding `pred' or `func' declaration.

TagsNo tags attached.
Attached Files
  • ? file icon fe.m (844 bytes) 2008-09-11 12:36

-Relationships
+Relationships

-Notes

~0000163

juliensf (administrator)

Fixed. See r1.88 of compiler/add_pragma.m for details.
+Notes

-Issue History
Date Modified Username Field Change
2008-09-11 12:36 wangp New Issue
2008-09-11 12:36 wangp File Added: fe.m
2009-04-06 02:49 juliensf Note Added: 0000163
2009-04-06 02:49 juliensf Status new => resolved
2009-04-06 02:49 juliensf Resolution open => fixed
2009-04-06 02:49 juliensf Assigned To => juliensf
+Issue History